Xalan-Java 2.7.1: Class XSLTErrorResources_es

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.res
Class XSLTErrorResources_es

    java.lang.Object
      |
      +--java.util.ResourceBundle
            |
            +--java.util.ListResourceBundle
                  |
                  +--org.apache.xalan.res.XSLTErrorResources_es

public class XSLTErrorResources_es
extends java.util.ListResourceBundle

Set up error messages. We build a two dimensional array of message keys and message strings. In order to add a new message here, you need to first add a String constant. And you need to enter key , value pair as part of contents Array. You also need to update MAX_CODE for error strings and MAX_WARNING for warnings ( Needed for only information purpose )

Field Summary
`static java.lang.String` | `BAD_CODE` String for use when a bad error code was encountered.
`static java.lang.String` | `ER_ARG_LITERAL`
`static java.lang.String` | `ER_ASSERT_NO_TEMPLATE_PARENT`
`static java.lang.String` | `ER_ASSERT_REDUNDENT_EXPR_ELIMINATOR`
`static java.lang.String` | `ER_ATTR_NOT_ALLOWED`
`static java.lang.String` | `ER_ATTRIB_VALUE_NOT_FOUND`
`static java.lang.String` | `ER_ATTRIB_VALUE_NOT_RECOGNIZED`
`static java.lang.String` | `ER_BAD_STYLESHEET_URL`
`static java.lang.String` | `ER_BAD_VAL_ON_LEVEL_ATTRIB`
`static java.lang.String` | `ER_BAD_VALUE`
`static java.lang.String` | `ER_BAD_XSLSORT_USE`
`static java.lang.String` | `ER_BUFFER_SIZE_LESSTHAN_ZERO`
`static java.lang.String` | `ER_CALL_TO_EXT_FAILED`
`static java.lang.String` | `ER_CAN_ONLY_OUTPUT_TO_ELEMENT`
`static java.lang.String` | `ER_CANNOT_ADD`
`static java.lang.String` | `ER_CANNOT_BUILD_FORMATTERLISTENER_IN_REDIRECT`
`static java.lang.String` | `ER_CANNOT_CALL_PARSE`
`static java.lang.String` | `ER_CANNOT_CMPL_EXTENSN`
`static java.lang.String` | `ER_CANNOT_CREATE_EXTENSN`
`static java.lang.String` | `ER_CANNOT_FIND_SAX1_DRIVER`
`static java.lang.String` | `ER_CANNOT_INIT_BSFMGR`
`static java.lang.String` | `ER_CANNOT_INIT_DEFAULT_TEMPLATES`
`static java.lang.String` | `ER_CANNOT_MIX_XERCESDOM`
`static java.lang.String` | `ER_CANNOT_SERIALIZE_XSLPROCESSOR`
`static java.lang.String` | `ER_CANNOT_TRANSFORM_SOURCE_TYPE`
`static java.lang.String` | `ER_CANNOT_TRANSFORM_TO_RESULT_TYPE`
`static java.lang.String` | `ER_CANT_CREATE_ITEM`
`static java.lang.String` | `ER_CANT_CREATE_URL`
`static java.lang.String` | `ER_CANT_HAVE_CONTENT_AND_SELECT`
`static java.lang.String` | `ER_CANT_RESOLVE_NAME_AVT`
`static java.lang.String` | `ER_CANT_RESOLVE_NSPREFIX`
`static java.lang.String` | `ER_CANT_RESOLVE_PREFIX_OF_NON_PREFIX_RESOLVER`
`static java.lang.String` | `ER_CANT_USE_DTM_FOR_INPUT`
`static java.lang.String` | `ER_CANT_USE_DTM_FOR_OUTPUT`
`static java.lang.String` | `ER_CHARS_NOT_ALLOWED`
`static java.lang.String` | `ER_CHOOSE_REQUIRES_WHEN`
`static java.lang.String` | `ER_CLASS_NOT_FOUND_FOR_OPTION`
`static java.lang.String` | `ER_COULD_NOT_CREATE_TRACELISTENER`
`static java.lang.String` | `ER_COULD_NOT_CREATE_XML_PROC_LIAISON`
`static java.lang.String` | `ER_COULD_NOT_FIND_EXTERN_SCRIPT`
`static java.lang.String` | `ER_COULD_NOT_LOAD_RESOURCE`
`static java.lang.String` | `ER_COULDNT_FIND_FRAGMENT`
`static java.lang.String` | `ER_COULDNT_PARSE_DOC`
`static java.lang.String` | `ER_CURRENCY_SIGN_ILLEGAL`
`static java.lang.String` | `ER_DEFAULTSPACE_NOT_SUPPORTED`
`static java.lang.String` | `ER_DOCUMENT_FUNCTION_INVALID_IN_STYLESHEET_DOM`
`static java.lang.String` | `ER_DUPLICATE_GLOBAL_VAR`
`static java.lang.String` | `ER_DUPLICATE_NAMED_TEMPLATE`
`static java.lang.String` | `ER_DUPLICATE_VAR`
`static java.lang.String` | `ER_ELEM_CONTENT_NOT_ALLOWED`
`static java.lang.String` | `ER_ELEMENT_NAME_METHOD_STATIC`
`static java.lang.String` | `ER_ELEMTEMPLATEELEM_ERR`
`static java.lang.String` | `ER_ENCODING_NOT_SUPPORTED`
`static java.lang.String` | `ER_ERRORLISTENER`
`static java.lang.String` | `ER_EXTENSION_ELEMENT_NOT_ALLOWED_IN_SECURE_PROCESSING`
`static java.lang.String` | `ER_EXTENSION_FUNC_UNKNOWN`
`static java.lang.String` | `ER_FAILED_CALLING_METHOD`
`static java.lang.String` | `ER_FAILED_CREATING_ELEMLITRSLT`
`static java.lang.String` | `ER_FAILED_CREATING_ELEMTMPL`
`static java.lang.String` | `ER_FAILED_PROCESS_STYLESHEET`
`static java.lang.String` | `ER_FEATURE`
`static java.lang.String` | `ER_FILE_CANNOT_BE_NULL`
`static java.lang.String` | `ER_FILE_NOT_FOUND`
`static java.lang.String` | `ER_FOREACH_NEED_MATCH_OR_NAME_ATTRIB`
`static java.lang.String` | `ER_FUNCTION_NOT_FOUND`
`static java.lang.String` | `ER_FUNCTION_NOT_SUPPORTED`
`static java.lang.String` | `ER_GET_FEATURE_NULL_NAME`
`static java.lang.String` | `ER_ILLEGAL_ATTRIB`
`static java.lang.String` | `ER_ILLEGAL_ATTRIBUTE`
`static java.lang.String` | `ER_ILLEGAL_ATTRIBUTE_VALUE`
`static java.lang.String` | `ER_ILLEGAL_DOMSOURCE_INPUT`
`static java.lang.String` | `ER_ILLEGAL_VALUE`
`static java.lang.String` | `ER_ILLEGAL_XMLSPACE_VALUE`
`static java.lang.String` | `ER_IMPORTING_ITSELF`
`static java.lang.String` | `ER_IMPORTS_AS_FIRST_ELEM`
`static java.lang.String` | `ER_IN_ELEMTEMPLATEELEM_READOBJECT`
`static java.lang.String` | `ER_INDENTRESULT_NOT_SUPPORTED`
`static java.lang.String` | `ER_INPUT_CANNOT_BE_NULL`
`static java.lang.String` | `ER_INSTANCE_MTHD_CALL_REQUIRES`
`static java.lang.String` | `ER_INVALID_CONTEXT_PASSED`
`static java.lang.String` | `ER_INVALID_DRIVER`
`static java.lang.String` | `ER_INVALID_DRIVER_NAME`
`static java.lang.String` | `ER_INVALID_ELEMENT_NAME`
`static java.lang.String` | `ER_INVALID_KEY_CALL`
`static java.lang.String` | `ER_INVALID_NAMESPACE_URI_VALUE_FOR_RESULT_PREFIX`
`static java.lang.String` | `ER_INVALID_NAMESPACE_URI_VALUE_FOR_RESULT_PREFIX_FOR_DEFAULT`
`static java.lang.String` | `ER_INVALID_OPTION`
`static java.lang.String` | `ER_INVALID_PREFIX`
`static java.lang.String` | `ER_INVALID_PREFIX_IN_EXCLUDERESULTPREFIX`
`static java.lang.String` | `ER_INVALID_SET_PARAM_VALUE`
`static java.lang.String` | `ER_INVALID_UTF16_SURROGATE`
`static java.lang.String` | `ER_IOEXCEPTION`
`static java.lang.String` | `ER_KEY_REQUIRES_MATCH_ATTRIB`
`static java.lang.String` | `ER_KEY_REQUIRES_NAME_ATTRIB`
`static java.lang.String` | `ER_KEY_REQUIRES_USE_ATTRIB`
`static java.lang.String` | `ER_MALFORMED_FORMAT_STRING`
`static java.lang.String` | `ER_MISPLACED_XSLOTHERWISE`
`static java.lang.String` | `ER_MISPLACED_XSLWHEN`
`static java.lang.String` | `ER_MISSING_ARG_FOR_OPTION`
`static java.lang.String` | `ER_MISSING_CONTAINER_ELEMENT_COMPONENT`
`static java.lang.String` | `ER_MISSING_LANG_ATTRIB`
`static java.lang.String` | `ER_MISSING_NS_URI`
`static java.lang.String` | `ER_MISSING_PREFIX_ATTRIB`
`static java.lang.String` | `ER_MORE_MATCH_CONSTRUCTOR`
`static java.lang.String` | `ER_MORE_MATCH_ELEMENT`
`static java.lang.String` | `ER_MORE_MATCH_METHOD`
`static java.lang.String` | `ER_MUST_HAVE_TEST_ATTRIB`
`static java.lang.String` | `ER_NAMESPACE_CONTEXT_NULL_NAMESPACE`
`static java.lang.String` | `ER_NAMESPACE_CONTEXT_NULL_PREFIX`
`static java.lang.String` | `ER_NEED_MATCH_ATTRIB`
`static java.lang.String` | `ER_NEED_NAME_ATTRIB`
`static java.lang.String` | `ER_NEED_NAME_OR_MATCH_ATTRIB`
`static java.lang.String` | `ER_NEED_SELECT_ATTRIB`
`static java.lang.String` | `ER_NEED_TEST_ATTRIB`
`static java.lang.String` | `ER_NO_APPLY_IMPORT_IN_FOR_EACH`
`static java.lang.String` | `ER_NO_ATTRIB_SET`
`static java.lang.String` | `ER_NO_CLONE_OF_DOCUMENT_FRAG`
`static java.lang.String` | `ER_NO_CONTEXT_OWNERDOC`
`static java.lang.String` | `ER_NO_CURLYBRACE`
`static java.lang.String` | `ER_NO_DRIVER_NAME`
`static java.lang.String` | `ER_NO_DRIVER_NAME_SPECIFIED`
`static java.lang.String` | `ER_NO_HREF_ATTRIB`
`static java.lang.String` | `ER_NO_INPUT_STYLESHEET`
`static java.lang.String` | `ER_NO_NAME_ATTRIB`
`static java.lang.String` | `ER_NO_NAMESPACE_DECL`
`static java.lang.String` | `ER_NO_OUTPUT_SPECIFIED`
`static java.lang.String` | `ER_NO_OWNERDOC`
`static java.lang.String` | `ER_NO_PARENT_FOR_FILTER`
`static java.lang.String` | `ER_NO_SELECT_EXPRESSION`
`static java.lang.String` | `ER_NO_STYLESHEET_IN_MEDIA`
`static java.lang.String` | `ER_NO_STYLESHEET_PI`
`static java.lang.String` | `ER_NO_STYLESHEETROOT`
`static java.lang.String` | `ER_NO_URL`
`static java.lang.String` | `ER_NO_URL_SPECIFIED`
`static java.lang.String` | `ER_NO_XSLKEY_DECLARATION`
`static java.lang.String` | `ER_NODE_NOT_ELEMENT`
`static java.lang.String` | `ER_NONWHITESPACE_NOT_ALLOWED_IN_POSITION`
`static java.lang.String` | `ER_NOT_ALLOWED_IN_POSITION`
`static java.lang.String` | `ER_NOT_ALLOWED_INSIDE_STYLESHEET`
`static java.lang.String` | `ER_NOT_ALLOWED_INSIDE_TEMPLATE`
`static java.lang.String` | `ER_NOT_SUCCESSFUL`
`static java.lang.String` | `ER_NOT_SUPPORTED`
`static java.lang.String` | `ER_NULL_CHILD`
`static java.lang.String` | `ER_NULL_CONTENT_HANDLER`
`static java.lang.String` | `ER_NULL_DTD_HANDLER`
`static java.lang.String` | `ER_NULL_ENTITY_RESOLVER`
`static java.lang.String` | `ER_NULL_ERROR_HANDLER`
`static java.lang.String` | `ER_NULL_SOURCENODE_APPLYIMPORTS`
`static java.lang.String` | `ER_NULL_SOURCENODE_HANDLEAPPLYTEMPLATES`
`static java.lang.String` | `ER_NULL_URI_NAMESPACE`
`static java.lang.String` | `ER_NUMBER_TOO_BIG`
`static java.lang.String` | `ER_ONE_OR_TWO`
`static java.lang.String` | `ER_OUTPUT_PROPERTY_NOT_RECOGNIZED`
`static java.lang.String` | `ER_PARSER_ARG_CANNOT_BE_NULL`
`static java.lang.String` | `ER_PARSER_PROPERTY_NOT_SPECIFIED`
`static java.lang.String` | `ER_POOL_EXISTS`
`static java.lang.String` | `ER_POOL_SIZE_LESSTHAN_ONE`
`static java.lang.String` | `ER_POOLSIZE_LESS_THAN_ONE`
`static java.lang.String` | `ER_PREFIX_MUST_RESOLVE`
`static java.lang.String` | `ER_PROCESS_ERROR`
`static java.lang.String` | `ER_PROCESS_NOT_SUCCESSFUL`
`static java.lang.String` | `ER_PROCESSFROMNODE_FAILED`
`static java.lang.String` | `ER_PROCESSINCLUDE_ERROR`
`static java.lang.String` | `ER_PROCESSINGINSTRUCTION_NAME_CANT_BE_XML`
`static java.lang.String` | `ER_PROCESSINGINSTRUCTION_NOTVALID_NCNAME`
`static java.lang.String` | `ER_PROCESSOR_ERROR`
`static java.lang.String` | `ER_PROCESSSTYLESHEET_NOT_SUCCESSFUL`
`static java.lang.String` | `ER_PROPERTY`
`static java.lang.String` | `ER_PROPERTY_VALUE_BOOLEAN`
`static java.lang.String` | `ER_REDIRECT_COULDNT_GET_FILENAME`
`static java.lang.String` | `ER_REFERENCING_ITSELF`
`static java.lang.String` | `ER_REQUIRED_ELEM_NOT_FOUND`
`static java.lang.String` | `ER_REQUIRES_ATTRIB`
`static java.lang.String` | `ER_REQUIRES_ELEMENTS_ATTRIB`
`static java.lang.String` | `ER_RESOURCE_COULD_NOT_FIND`
`static java.lang.String` | `ER_RESOURCE_COULD_NOT_LOAD`
`static java.lang.String` | `ER_RESULT_COULD_NOT_BE_SET`
`static java.lang.String` | `ER_RESULT_NULL`
`static java.lang.String` | `ER_RESULTNS_NOT_SUPPORTED`
`static java.lang.String` | `ER_SAX_EXCEPTION`
`static java.lang.String` | `ER_SAX1_DRIVER_NOT_IMPLEMENT_PARSER`
`static java.lang.String` | `ER_SAX1_DRIVER_NOT_INSTANTIATED`
`static java.lang.String` | `ER_SAX1_DRIVER_NOT_LOADED`
`static java.lang.String` | `ER_SET_FEATURE_NULL_NAME`
`static java.lang.String` | `ER_SOURCE_CANNOT_BE_NULL`
`static java.lang.String` | `ER_STYLESHEET_DIRECTED_TERMINATION`
`static java.lang.String` | `ER_STYLESHEET_INCLUDES_ITSELF`
`static java.lang.String` | `ER_STYLESHEET_REQUIRES_VERSION_ATTRIB`
`static java.lang.String` | `ER_TEMPLATE_NAME_MATCH`
`static java.lang.String` | `ER_TEMPLATE_NOT_FOUND`
`static java.lang.String` | `ER_TEMPLATES_NEED_MATCH_OR_NAME_ATTRIB`
`static java.lang.String` | `ER_TOO_MANY_LISTENERS`
`static java.lang.String` | `ER_TWO_OR_THREE`
`static java.lang.String` | `ER_UNIMPLNODE_ERROR`
`static java.lang.String` | `ER_UNKNOWN_ERROR_CALLING_EXTENSION`
`static java.lang.String` | `ER_UNKNOWN_EXT_NS_PREFIX`
`static java.lang.String` | `ER_UNKNOWN_XSL_ELEM`
`static java.lang.String` | `ER_UNSUPPORTED_FEATURE`
`static java.lang.String` | `ER_URI_CANNOT_BE_NULL`
`static java.lang.String` | `ER_VALUE_SHOULD_BE_NUMBER`
`static java.lang.String` | `ER_VALUE_SHOULD_EQUAL`
`static java.lang.String` | `ER_XMLSPACE_ILLEGAL_VAL`
`static java.lang.String` | `ER_XMLSPACE_ILLEGAL_VALUE`
`static java.lang.String` | `ER_XPATH_RESOLVER_NEGATIVE_ARITY`
`static java.lang.String` | `ER_XPATH_RESOLVER_NULL_QNAME`
`static java.lang.String` | `ER_XSLATTRSET_USED_ITSELF`
`static java.lang.String` | `ER_XSLFUNCTIONS_UNSUPPORTED`
`static java.lang.String` | `ER_XSLOTHERWISE_NOT_PARENTED_BY_XSLCHOOSE`
`static java.lang.String` | `ER_XSLT_ERROR`
`static java.lang.String` | `ER_XSLWHEN_NOT_PARENTED_BY_XSLCHOOSE`
`static java.lang.String` | `ERROR_HEADER` String to prepend to error messages.
`static java.lang.String` | `ERROR_STRING` General error string.
`static java.lang.String` | `FORMAT_FAILED` String for use when formatting of the error string failed.
`static java.lang.String` | `INVALID_BOOLEAN`
`static java.lang.String` | `INVALID_ENUM`
`static java.lang.String` | `INVALID_NCNAME`
`static java.lang.String` | `INVALID_NMTOKEN`
`static java.lang.String` | `INVALID_NUMBER`
`static java.lang.String` | `INVALID_QNAME`
`static java.lang.String` | `INVALID_TCHAR`
`static int` | `MAX_CODE` Maximum error messages, this is needed to keep track of the number of messages.
`static int` | `MAX_MESSAGES` Maximum total warnings and error messages.
`static int` | `MAX_OTHERS` Maximum misc strings.
`static int` | `MAX_WARNING` Maximum warnings, this is needed to keep track of the number of warnings.
`static java.lang.String` | `NO_MODIFICATION_ALLOWED_ERR`
`static java.lang.String` | `QUERY_HEADER` Deprecated.
`static java.lang.String` | `WARNING_HEADER` String to prepend to warning messages.
`static java.lang.String` | `WG_ATTR_TEMPLATE`
`static java.lang.String` | `WG_ATTRIB_NOT_HANDLED`
`static java.lang.String` | `WG_CANNOT_FIND_COLLATOR`
`static java.lang.String` | `WG_CANNOT_LOAD_REQUESTED_DOC`
`static java.lang.String` | `WG_CANNOT_MAKE_URL_FROM`
`static java.lang.String` | `WG_CONFLICT_BETWEEN_XSLSTRIPSPACE_AND_XSLPRESERVESPACE`
`static java.lang.String` | `WG_COULD_NOT_RESOLVE_PREFIX`
`static java.lang.String` | `WG_COUNT_ATTRIB_MATCHES_NO_ANCESTOR`
`static java.lang.String` | `WG_EMPTY_SECOND_ARG`
`static java.lang.String` | `WG_ENCODING_NOT_SUPPORTED_USING_JAVA`
`static java.lang.String` | `WG_ENCODING_NOT_SUPPORTED_USING_UTF8`
`static java.lang.String` | `WG_EXPR_ATTRIB_CHANGED_TO_SELECT`
`static java.lang.String` | `WG_FOUND_CURLYBRACE`
`static java.lang.String` | `WG_FUNCTIONS_SHOULD_USE_URL`
`static java.lang.String` | `WG_ILLEGAL_ATTRIBUTE`
`static java.lang.String` | `WG_ILLEGAL_ATTRIBUTE_NAME`
`static java.lang.String` | `WG_ILLEGAL_ATTRIBUTE_POSITION`
`static java.lang.String` | `WG_ILLEGAL_ATTRIBUTE_VALUE`
`static java.lang.String` | `WG_LOCALE_NOT_FOUND`
`static java.lang.String` | `WG_NO_DECIMALFORMAT_DECLARATION`
`static java.lang.String` | `WG_NO_LOCALE_IN_FORMATNUMBER`
`static java.lang.String` | `WG_OLD_XSLT_NS`
`static java.lang.String` | `WG_ONE_DEFAULT_XSLDECIMALFORMAT_ALLOWED`
`static java.lang.String` | `WG_PARSING_AND_PREPARING`
`static java.lang.String` | `WG_PROCESSINGINSTRUCTION_NAME_CANT_BE_XML`
`static java.lang.String` | `WG_PROCESSINGINSTRUCTION_NOTVALID_NCNAME`
`static java.lang.String` | `WG_SPECIFICITY_CONFLICTS`
`static java.lang.String` | `WG_STYLESHEET_REQUIRES_VERSION_ATTRIB`
`static java.lang.String` | `WG_XSLDECIMALFORMAT_NAMES_MUST_BE_UNIQUE`
`static java.lang.String` | `XML_HEADER` String to specify the XML parser module.
`static java.lang.String` | `XSL_HEADER` String to specify the XSLT module.

Constructor Summary
`XSLTErrorResources_es()`

Method Summary
`java.lang.Object[][]` | `getContents()` Get the lookup table for error messages.
`static XSLTErrorResources` | `loadResourceBundle(java.lang.String className)` Return a named ResourceBundle for a particular locale.

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_CODE

    public static final int MAX_CODE

  Maximum error messages, this is needed to keep track of the number of messages.

### MAX_WARNING

    public static final int MAX_WARNING

  Maximum warnings, this is needed to keep track of the number of warnings.

### MAX_OTHERS

    public static final int MAX_OTHERS

  Maximum misc strings.

### MAX_MESSAGES

    public static final int MAX_MESSAGES

  Maximum total warnings and error messages.

### ER_INVALID_NAMESPACE_URI_VALUE_FOR_RESULT_PREFIX

    public static final java.lang.String ER_INVALID_NAMESPACE_URI_VALUE_FOR_RESULT_PREFIX

### ER_INVALID_NAMESPACE_URI_VALUE_FOR_RESULT_PREFIX_FOR_DEFAULT

    public static final java.lang.String ER_INVALID_NAMESPACE_URI_VALUE_FOR_RESULT_PREFIX_FOR_DEFAULT

### ER_NO_CURLYBRACE

    public static final java.lang.String ER_NO_CURLYBRACE

### ER_FUNCTION_NOT_SUPPORTED

    public static final java.lang.String ER_FUNCTION_NOT_SUPPORTED

### ER_ILLEGAL_ATTRIBUTE

    public static final java.lang.String ER_ILLEGAL_ATTRIBUTE

### ER_NULL_SOURCENODE_APPLYIMPORTS

    public static final java.lang.String ER_NULL_SOURCENODE_APPLYIMPORTS

### ER_CANNOT_ADD

    public static final java.lang.String ER_CANNOT_ADD

### ER_NULL_SOURCENODE_HANDLEAPPLYTEMPLATES

    public static final java.lang.String ER_NULL_SOURCENODE_HANDLEAPPLYTEMPLATES

### ER_NO_NAME_ATTRIB

    public static final java.lang.String ER_NO_NAME_ATTRIB

### ER_TEMPLATE_NOT_FOUND

    public static final java.lang.String ER_TEMPLATE_NOT_FOUND

### ER_CANT_RESOLVE_NAME_AVT

    public static final java.lang.String ER_CANT_RESOLVE_NAME_AVT

### ER_REQUIRES_ATTRIB

    public static final java.lang.String ER_REQUIRES_ATTRIB

### ER_MUST_HAVE_TEST_ATTRIB

    public static final java.lang.String ER_MUST_HAVE_TEST_ATTRIB

### ER_BAD_VAL_ON_LEVEL_ATTRIB

    public static final java.lang.String ER_BAD_VAL_ON_LEVEL_ATTRIB

### ER_PROCESSINGINSTRUCTION_NAME_CANT_BE_XML

    public static final java.lang.String ER_PROCESSINGINSTRUCTION_NAME_CANT_BE_XML

### ER_PROCESSINGINSTRUCTION_NOTVALID_NCNAME

    public static final java.lang.String ER_PROCESSINGINSTRUCTION_NOTVALID_NCNAME

### ER_NEED_MATCH_ATTRIB

    public static final java.lang.String ER_NEED_MATCH_ATTRIB

### ER_NEED_NAME_OR_MATCH_ATTRIB

    public static final java.lang.String ER_NEED_NAME_OR_MATCH_ATTRIB

### ER_CANT_RESOLVE_NSPREFIX

    public static final java.lang.String ER_CANT_RESOLVE_NSPREFIX

### ER_ILLEGAL_VALUE

    public static final java.lang.String ER_ILLEGAL_VALUE

### ER_NO_OWNERDOC

    public static final java.lang.String ER_NO_OWNERDOC

### ER_ELEMTEMPLATEELEM_ERR

    public static final java.lang.String ER_ELEMTEMPLATEELEM_ERR

### ER_NULL_CHILD

    public static final java.lang.String ER_NULL_CHILD

### ER_NEED_SELECT_ATTRIB

    public static final java.lang.String ER_NEED_SELECT_ATTRIB

### ER_NEED_TEST_ATTRIB

    public static final java.lang.String ER_NEED_TEST_ATTRIB

### ER_NEED_NAME_ATTRIB

    public static final java.lang.String ER_NEED_NAME_ATTRIB

### ER_NO_CONTEXT_OWNERDOC

    public static final java.lang.String ER_NO_CONTEXT_OWNERDOC

### ER_COULD_NOT_CREATE_XML_PROC_LIAISON

    public static final java.lang.String ER_COULD_NOT_CREATE_XML_PROC_LIAISON

### ER_PROCESS_NOT_SUCCESSFUL

    public static final java.lang.String ER_PROCESS_NOT_SUCCESSFUL

### ER_NOT_SUCCESSFUL

    public static final java.lang.String ER_NOT_SUCCESSFUL

### ER_ENCODING_NOT_SUPPORTED

    public static final java.lang.String ER_ENCODING_NOT_SUPPORTED

### ER_COULD_NOT_CREATE_TRACELISTENER

    public static final java.lang.String ER_COULD_NOT_CREATE_TRACELISTENER

### ER_KEY_REQUIRES_NAME_ATTRIB

    public static final java.lang.String ER_KEY_REQUIRES_NAME_ATTRIB

### ER_KEY_REQUIRES_MATCH_ATTRIB

    public static final java.lang.String ER_KEY_REQUIRES_MATCH_ATTRIB

### ER_KEY_REQUIRES_USE_ATTRIB

    public static final java.lang.String ER_KEY_REQUIRES_USE_ATTRIB

### ER_REQUIRES_ELEMENTS_ATTRIB

    public static final java.lang.String ER_REQUIRES_ELEMENTS_ATTRIB

### ER_MISSING_PREFIX_ATTRIB

    public static final java.lang.String ER_MISSING_PREFIX_ATTRIB

### ER_BAD_STYLESHEET_URL

    public static final java.lang.String ER_BAD_STYLESHEET_URL

### ER_FILE_NOT_FOUND

    public static final java.lang.String ER_FILE_NOT_FOUND

### ER_IOEXCEPTION

    public static final java.lang.String ER_IOEXCEPTION

### ER_NO_HREF_ATTRIB

    public static final java.lang.String ER_NO_HREF_ATTRIB

### ER_STYLESHEET_INCLUDES_ITSELF

    public static final java.lang.String ER_STYLESHEET_INCLUDES_ITSELF

### ER_PROCESSINCLUDE_ERROR

    public static final java.lang.String ER_PROCESSINCLUDE_ERROR

### ER_MISSING_LANG_ATTRIB

    public static final java.lang.String ER_MISSING_LANG_ATTRIB

### ER_MISSING_CONTAINER_ELEMENT_COMPONENT

    public static final java.lang.String ER_MISSING_CONTAINER_ELEMENT_COMPONENT

### ER_CAN_ONLY_OUTPUT_TO_ELEMENT

    public static final java.lang.String ER_CAN_ONLY_OUTPUT_TO_ELEMENT

### ER_PROCESS_ERROR

    public static final java.lang.String ER_PROCESS_ERROR

### ER_UNIMPLNODE_ERROR

    public static final java.lang.String ER_UNIMPLNODE_ERROR

### ER_NO_SELECT_EXPRESSION

    public static final java.lang.String ER_NO_SELECT_EXPRESSION

### ER_CANNOT_SERIALIZE_XSLPROCESSOR

    public static final java.lang.String ER_CANNOT_SERIALIZE_XSLPROCESSOR

### ER_NO_INPUT_STYLESHEET

    public static final java.lang.String ER_NO_INPUT_STYLESHEET

### ER_FAILED_PROCESS_STYLESHEET

    public static final java.lang.String ER_FAILED_PROCESS_STYLESHEET

### ER_COULDNT_PARSE_DOC

    public static final java.lang.String ER_COULDNT_PARSE_DOC

### ER_COULDNT_FIND_FRAGMENT

    public static final java.lang.String ER_COULDNT_FIND_FRAGMENT

### ER_NODE_NOT_ELEMENT

    public static final java.lang.String ER_NODE_NOT_ELEMENT

### ER_FOREACH_NEED_MATCH_OR_NAME_ATTRIB

    public static final java.lang.String ER_FOREACH_NEED_MATCH_OR_NAME_ATTRIB

### ER_TEMPLATES_NEED_MATCH_OR_NAME_ATTRIB

    public static final java.lang.String ER_TEMPLATES_NEED_MATCH_OR_NAME_ATTRIB

### ER_NO_CLONE_OF_DOCUMENT_FRAG

    public static final java.lang.String ER_NO_CLONE_OF_DOCUMENT_FRAG

### ER_CANT_CREATE_ITEM

    public static final java.lang.String ER_CANT_CREATE_ITEM

### ER_XMLSPACE_ILLEGAL_VALUE

    public static final java.lang.String ER_XMLSPACE_ILLEGAL_VALUE

### ER_NO_XSLKEY_DECLARATION

    public static final java.lang.String ER_NO_XSLKEY_DECLARATION

### ER_CANT_CREATE_URL

    public static final java.lang.String ER_CANT_CREATE_URL

### ER_XSLFUNCTIONS_UNSUPPORTED

    public static final java.lang.String ER_XSLFUNCTIONS_UNSUPPORTED

### ER_PROCESSOR_ERROR

    public static final java.lang.String ER_PROCESSOR_ERROR

### ER_NOT_ALLOWED_INSIDE_STYLESHEET

    public static final java.lang.String ER_NOT_ALLOWED_INSIDE_STYLESHEET

### ER_RESULTNS_NOT_SUPPORTED

    public static final java.lang.String ER_RESULTNS_NOT_SUPPORTED

### ER_DEFAULTSPACE_NOT_SUPPORTED

    public static final java.lang.String ER_DEFAULTSPACE_NOT_SUPPORTED

### ER_INDENTRESULT_NOT_SUPPORTED

    public static final java.lang.String ER_INDENTRESULT_NOT_SUPPORTED

### ER_ILLEGAL_ATTRIB

    public static final java.lang.String ER_ILLEGAL_ATTRIB

### ER_UNKNOWN_XSL_ELEM

    public static final java.lang.String ER_UNKNOWN_XSL_ELEM

### ER_BAD_XSLSORT_USE

    public static final java.lang.String ER_BAD_XSLSORT_USE

### ER_MISPLACED_XSLWHEN

    public static final java.lang.String ER_MISPLACED_XSLWHEN

### ER_XSLWHEN_NOT_PARENTED_BY_XSLCHOOSE

    public static final java.lang.String ER_XSLWHEN_NOT_PARENTED_BY_XSLCHOOSE

### ER_MISPLACED_XSLOTHERWISE

    public static final java.lang.String ER_MISPLACED_XSLOTHERWISE

### ER_XSLOTHERWISE_NOT_PARENTED_BY_XSLCHOOSE

    public static final java.lang.String ER_XSLOTHERWISE_NOT_PARENTED_BY_XSLCHOOSE

### ER_NOT_ALLOWED_INSIDE_TEMPLATE

    public static final java.lang.String ER_NOT_ALLOWED_INSIDE_TEMPLATE

### ER_UNKNOWN_EXT_NS_PREFIX

    public static final java.lang.String ER_UNKNOWN_EXT_NS_PREFIX

### ER_IMPORTS_AS_FIRST_ELEM

    public static final java.lang.String ER_IMPORTS_AS_FIRST_ELEM

### ER_IMPORTING_ITSELF

    public static final java.lang.String ER_IMPORTING_ITSELF

### ER_XMLSPACE_ILLEGAL_VAL

    public static final java.lang.String ER_XMLSPACE_ILLEGAL_VAL

### ER_PROCESSSTYLESHEET_NOT_SUCCESSFUL

    public static final java.lang.String ER_PROCESSSTYLESHEET_NOT_SUCCESSFUL

### ER_SAX_EXCEPTION

    public static final java.lang.String ER_SAX_EXCEPTION

### ER_XSLT_ERROR

    public static final java.lang.String ER_XSLT_ERROR

### ER_CURRENCY_SIGN_ILLEGAL

    public static final java.lang.String ER_CURRENCY_SIGN_ILLEGAL

### ER_DOCUMENT_FUNCTION_INVALID_IN_STYLESHEET_DOM

    public static final java.lang.String ER_DOCUMENT_FUNCTION_INVALID_IN_STYLESHEET_DOM

### ER_CANT_RESOLVE_PREFIX_OF_NON_PREFIX_RESOLVER

    public static final java.lang.String ER_CANT_RESOLVE_PREFIX_OF_NON_PREFIX_RESOLVER

### ER_REDIRECT_COULDNT_GET_FILENAME

    public static final java.lang.String ER_REDIRECT_COULDNT_GET_FILENAME

### ER_CANNOT_BUILD_FORMATTERLISTENER_IN_REDIRECT

    public static final java.lang.String ER_CANNOT_BUILD_FORMATTERLISTENER_IN_REDIRECT

### ER_INVALID_PREFIX_IN_EXCLUDERESULTPREFIX

    public static final java.lang.String ER_INVALID_PREFIX_IN_EXCLUDERESULTPREFIX

### ER_MISSING_NS_URI

    public static final java.lang.String ER_MISSING_NS_URI

### ER_MISSING_ARG_FOR_OPTION

    public static final java.lang.String ER_MISSING_ARG_FOR_OPTION

### ER_INVALID_OPTION

    public static final java.lang.String ER_INVALID_OPTION

### ER_MALFORMED_FORMAT_STRING

    public static final java.lang.String ER_MALFORMED_FORMAT_STRING

### ER_STYLESHEET_REQUIRES_VERSION_ATTRIB

    public static final java.lang.String ER_STYLESHEET_REQUIRES_VERSION_ATTRIB

### ER_ILLEGAL_ATTRIBUTE_VALUE

    public static final java.lang.String ER_ILLEGAL_ATTRIBUTE_VALUE

### ER_CHOOSE_REQUIRES_WHEN

    public static final java.lang.String ER_CHOOSE_REQUIRES_WHEN

### ER_NO_APPLY_IMPORT_IN_FOR_EACH

    public static final java.lang.String ER_NO_APPLY_IMPORT_IN_FOR_EACH

### ER_CANT_USE_DTM_FOR_OUTPUT

    public static final java.lang.String ER_CANT_USE_DTM_FOR_OUTPUT

### ER_CANT_USE_DTM_FOR_INPUT

    public static final java.lang.String ER_CANT_USE_DTM_FOR_INPUT

### ER_CALL_TO_EXT_FAILED

    public static final java.lang.String ER_CALL_TO_EXT_FAILED

### ER_PREFIX_MUST_RESOLVE

    public static final java.lang.String ER_PREFIX_MUST_RESOLVE

### ER_INVALID_UTF16_SURROGATE

    public static final java.lang.String ER_INVALID_UTF16_SURROGATE

### ER_XSLATTRSET_USED_ITSELF

    public static final java.lang.String ER_XSLATTRSET_USED_ITSELF

### ER_CANNOT_MIX_XERCESDOM

    public static final java.lang.String ER_CANNOT_MIX_XERCESDOM

### ER_TOO_MANY_LISTENERS

    public static final java.lang.String ER_TOO_MANY_LISTENERS

### ER_IN_ELEMTEMPLATEELEM_READOBJECT

    public static final java.lang.String ER_IN_ELEMTEMPLATEELEM_READOBJECT

### ER_DUPLICATE_NAMED_TEMPLATE

    public static final java.lang.String ER_DUPLICATE_NAMED_TEMPLATE

### ER_INVALID_KEY_CALL

    public static final java.lang.String ER_INVALID_KEY_CALL

### ER_REFERENCING_ITSELF

    public static final java.lang.String ER_REFERENCING_ITSELF

### ER_ILLEGAL_DOMSOURCE_INPUT

    public static final java.lang.String ER_ILLEGAL_DOMSOURCE_INPUT

### ER_CLASS_NOT_FOUND_FOR_OPTION

    public static final java.lang.String ER_CLASS_NOT_FOUND_FOR_OPTION

### ER_REQUIRED_ELEM_NOT_FOUND

    public static final java.lang.String ER_REQUIRED_ELEM_NOT_FOUND

### ER_INPUT_CANNOT_BE_NULL

    public static final java.lang.String ER_INPUT_CANNOT_BE_NULL

### ER_URI_CANNOT_BE_NULL

    public static final java.lang.String ER_URI_CANNOT_BE_NULL

### ER_FILE_CANNOT_BE_NULL

    public static final java.lang.String ER_FILE_CANNOT_BE_NULL

### ER_SOURCE_CANNOT_BE_NULL

    public static final java.lang.String ER_SOURCE_CANNOT_BE_NULL

### ER_CANNOT_INIT_BSFMGR

    public static final java.lang.String ER_CANNOT_INIT_BSFMGR

### ER_CANNOT_CMPL_EXTENSN

    public static final java.lang.String ER_CANNOT_CMPL_EXTENSN

### ER_CANNOT_CREATE_EXTENSN

    public static final java.lang.String ER_CANNOT_CREATE_EXTENSN

### ER_INSTANCE_MTHD_CALL_REQUIRES

    public static final java.lang.String ER_INSTANCE_MTHD_CALL_REQUIRES

### ER_INVALID_ELEMENT_NAME

    public static final java.lang.String ER_INVALID_ELEMENT_NAME

### ER_ELEMENT_NAME_METHOD_STATIC

    public static final java.lang.String ER_ELEMENT_NAME_METHOD_STATIC

### ER_EXTENSION_FUNC_UNKNOWN

    public static final java.lang.String ER_EXTENSION_FUNC_UNKNOWN

### ER_MORE_MATCH_CONSTRUCTOR

    public static final java.lang.String ER_MORE_MATCH_CONSTRUCTOR

### ER_MORE_MATCH_METHOD

    public static final java.lang.String ER_MORE_MATCH_METHOD

### ER_MORE_MATCH_ELEMENT

    public static final java.lang.String ER_MORE_MATCH_ELEMENT

### ER_INVALID_CONTEXT_PASSED

    public static final java.lang.String ER_INVALID_CONTEXT_PASSED

### ER_POOL_EXISTS

    public static final java.lang.String ER_POOL_EXISTS

### ER_NO_DRIVER_NAME

    public static final java.lang.String ER_NO_DRIVER_NAME

### ER_NO_URL

    public static final java.lang.String ER_NO_URL

### ER_POOL_SIZE_LESSTHAN_ONE

    public static final java.lang.String ER_POOL_SIZE_LESSTHAN_ONE

### ER_INVALID_DRIVER

    public static final java.lang.String ER_INVALID_DRIVER

### ER_NO_STYLESHEETROOT

    public static final java.lang.String ER_NO_STYLESHEETROOT

### ER_ILLEGAL_XMLSPACE_VALUE

    public static final java.lang.String ER_ILLEGAL_XMLSPACE_VALUE

### ER_PROCESSFROMNODE_FAILED

    public static final java.lang.String ER_PROCESSFROMNODE_FAILED

### ER_RESOURCE_COULD_NOT_LOAD

    public static final java.lang.String ER_RESOURCE_COULD_NOT_LOAD

### ER_BUFFER_SIZE_LESSTHAN_ZERO

    public static final java.lang.String ER_BUFFER_SIZE_LESSTHAN_ZERO

### ER_UNKNOWN_ERROR_CALLING_EXTENSION

    public static final java.lang.String ER_UNKNOWN_ERROR_CALLING_EXTENSION

### ER_NO_NAMESPACE_DECL

    public static final java.lang.String ER_NO_NAMESPACE_DECL

### ER_ELEM_CONTENT_NOT_ALLOWED

    public static final java.lang.String ER_ELEM_CONTENT_NOT_ALLOWED

### ER_STYLESHEET_DIRECTED_TERMINATION

    public static final java.lang.String ER_STYLESHEET_DIRECTED_TERMINATION

### ER_ONE_OR_TWO

    public static final java.lang.String ER_ONE_OR_TWO

### ER_TWO_OR_THREE

    public static final java.lang.String ER_TWO_OR_THREE

### ER_COULD_NOT_LOAD_RESOURCE

    public static final java.lang.String ER_COULD_NOT_LOAD_RESOURCE

### ER_CANNOT_INIT_DEFAULT_TEMPLATES

    public static final java.lang.String ER_CANNOT_INIT_DEFAULT_TEMPLATES

### ER_RESULT_NULL

    public static final java.lang.String ER_RESULT_NULL

### ER_RESULT_COULD_NOT_BE_SET

    public static final java.lang.String ER_RESULT_COULD_NOT_BE_SET

### ER_NO_OUTPUT_SPECIFIED

    public static final java.lang.String ER_NO_OUTPUT_SPECIFIED

### ER_CANNOT_TRANSFORM_TO_RESULT_TYPE

    public static final java.lang.String ER_CANNOT_TRANSFORM_TO_RESULT_TYPE

### ER_CANNOT_TRANSFORM_SOURCE_TYPE

    public static final java.lang.String ER_CANNOT_TRANSFORM_SOURCE_TYPE

### ER_NULL_CONTENT_HANDLER

    public static final java.lang.String ER_NULL_CONTENT_HANDLER

### ER_NULL_ERROR_HANDLER

    public static final java.lang.String ER_NULL_ERROR_HANDLER

### ER_CANNOT_CALL_PARSE

    public static final java.lang.String ER_CANNOT_CALL_PARSE

### ER_NO_PARENT_FOR_FILTER

    public static final java.lang.String ER_NO_PARENT_FOR_FILTER

### ER_NO_STYLESHEET_IN_MEDIA

    public static final java.lang.String ER_NO_STYLESHEET_IN_MEDIA

### ER_NO_STYLESHEET_PI

    public static final java.lang.String ER_NO_STYLESHEET_PI

### ER_NOT_SUPPORTED

    public static final java.lang.String ER_NOT_SUPPORTED

### ER_PROPERTY_VALUE_BOOLEAN

    public static final java.lang.String ER_PROPERTY_VALUE_BOOLEAN

### ER_COULD_NOT_FIND_EXTERN_SCRIPT

    public static final java.lang.String ER_COULD_NOT_FIND_EXTERN_SCRIPT

### ER_RESOURCE_COULD_NOT_FIND

    public static final java.lang.String ER_RESOURCE_COULD_NOT_FIND

### ER_OUTPUT_PROPERTY_NOT_RECOGNIZED

    public static final java.lang.String ER_OUTPUT_PROPERTY_NOT_RECOGNIZED

### ER_FAILED_CREATING_ELEMLITRSLT

    public static final java.lang.String ER_FAILED_CREATING_ELEMLITRSLT

### ER_VALUE_SHOULD_BE_NUMBER

    public static final java.lang.String ER_VALUE_SHOULD_BE_NUMBER

### ER_VALUE_SHOULD_EQUAL

    public static final java.lang.String ER_VALUE_SHOULD_EQUAL

### ER_FAILED_CALLING_METHOD

    public static final java.lang.String ER_FAILED_CALLING_METHOD

### ER_FAILED_CREATING_ELEMTMPL

    public static final java.lang.String ER_FAILED_CREATING_ELEMTMPL

### ER_CHARS_NOT_ALLOWED

    public static final java.lang.String ER_CHARS_NOT_ALLOWED

### ER_ATTR_NOT_ALLOWED

    public static final java.lang.String ER_ATTR_NOT_ALLOWED

### ER_BAD_VALUE

    public static final java.lang.String ER_BAD_VALUE

### ER_ATTRIB_VALUE_NOT_FOUND

    public static final java.lang.String ER_ATTRIB_VALUE_NOT_FOUND

### ER_ATTRIB_VALUE_NOT_RECOGNIZED

    public static final java.lang.String ER_ATTRIB_VALUE_NOT_RECOGNIZED

### ER_NULL_URI_NAMESPACE

    public static final java.lang.String ER_NULL_URI_NAMESPACE

### ER_NUMBER_TOO_BIG

    public static final java.lang.String ER_NUMBER_TOO_BIG

### ER_CANNOT_FIND_SAX1_DRIVER

    public static final java.lang.String ER_CANNOT_FIND_SAX1_DRIVER

### ER_SAX1_DRIVER_NOT_LOADED

    public static final java.lang.String ER_SAX1_DRIVER_NOT_LOADED

### ER_SAX1_DRIVER_NOT_INSTANTIATED

    public static final java.lang.String ER_SAX1_DRIVER_NOT_INSTANTIATED

### ER_SAX1_DRIVER_NOT_IMPLEMENT_PARSER

    public static final java.lang.String ER_SAX1_DRIVER_NOT_IMPLEMENT_PARSER

### ER_PARSER_PROPERTY_NOT_SPECIFIED

    public static final java.lang.String ER_PARSER_PROPERTY_NOT_SPECIFIED

### ER_PARSER_ARG_CANNOT_BE_NULL

    public static final java.lang.String ER_PARSER_ARG_CANNOT_BE_NULL

### ER_FEATURE

    public static final java.lang.String ER_FEATURE

### ER_PROPERTY

    public static final java.lang.String ER_PROPERTY

### ER_NULL_ENTITY_RESOLVER

    public static final java.lang.String ER_NULL_ENTITY_RESOLVER

### ER_NULL_DTD_HANDLER

    public static final java.lang.String ER_NULL_DTD_HANDLER

### ER_NO_DRIVER_NAME_SPECIFIED

    public static final java.lang.String ER_NO_DRIVER_NAME_SPECIFIED

### ER_NO_URL_SPECIFIED

    public static final java.lang.String ER_NO_URL_SPECIFIED

### ER_POOLSIZE_LESS_THAN_ONE

    public static final java.lang.String ER_POOLSIZE_LESS_THAN_ONE

### ER_INVALID_DRIVER_NAME

    public static final java.lang.String ER_INVALID_DRIVER_NAME

### ER_ERRORLISTENER

    public static final java.lang.String ER_ERRORLISTENER

### ER_ASSERT_NO_TEMPLATE_PARENT

    public static final java.lang.String ER_ASSERT_NO_TEMPLATE_PARENT

### ER_ASSERT_REDUNDENT_EXPR_ELIMINATOR

    public static final java.lang.String ER_ASSERT_REDUNDENT_EXPR_ELIMINATOR

### ER_NOT_ALLOWED_IN_POSITION

    public static final java.lang.String ER_NOT_ALLOWED_IN_POSITION

### ER_NONWHITESPACE_NOT_ALLOWED_IN_POSITION

    public static final java.lang.String ER_NONWHITESPACE_NOT_ALLOWED_IN_POSITION

### ER_NAMESPACE_CONTEXT_NULL_NAMESPACE

    public static final java.lang.String ER_NAMESPACE_CONTEXT_NULL_NAMESPACE

### ER_NAMESPACE_CONTEXT_NULL_PREFIX

    public static final java.lang.String ER_NAMESPACE_CONTEXT_NULL_PREFIX

### ER_XPATH_RESOLVER_NULL_QNAME

    public static final java.lang.String ER_XPATH_RESOLVER_NULL_QNAME

### ER_XPATH_RESOLVER_NEGATIVE_ARITY

    public static final java.lang.String ER_XPATH_RESOLVER_NEGATIVE_ARITY

### INVALID_TCHAR

    public static final java.lang.String INVALID_TCHAR

### INVALID_QNAME

    public static final java.lang.String INVALID_QNAME

### INVALID_ENUM

    public static final java.lang.String INVALID_ENUM

### INVALID_NMTOKEN

    public static final java.lang.String INVALID_NMTOKEN

### INVALID_NCNAME

    public static final java.lang.String INVALID_NCNAME

### INVALID_BOOLEAN

    public static final java.lang.String INVALID_BOOLEAN

### INVALID_NUMBER

    public static final java.lang.String INVALID_NUMBER

### ER_ARG_LITERAL

    public static final java.lang.String ER_ARG_LITERAL

### ER_DUPLICATE_GLOBAL_VAR

    public static final java.lang.String ER_DUPLICATE_GLOBAL_VAR

### ER_DUPLICATE_VAR

    public static final java.lang.String ER_DUPLICATE_VAR

### ER_TEMPLATE_NAME_MATCH

    public static final java.lang.String ER_TEMPLATE_NAME_MATCH

### ER_INVALID_PREFIX

    public static final java.lang.String ER_INVALID_PREFIX

### ER_NO_ATTRIB_SET

    public static final java.lang.String ER_NO_ATTRIB_SET

### ER_FUNCTION_NOT_FOUND

    public static final java.lang.String ER_FUNCTION_NOT_FOUND

### ER_CANT_HAVE_CONTENT_AND_SELECT

    public static final java.lang.String ER_CANT_HAVE_CONTENT_AND_SELECT

### ER_INVALID_SET_PARAM_VALUE

    public static final java.lang.String ER_INVALID_SET_PARAM_VALUE

### ER_SET_FEATURE_NULL_NAME

    public static final java.lang.String ER_SET_FEATURE_NULL_NAME

### ER_GET_FEATURE_NULL_NAME

    public static final java.lang.String ER_GET_FEATURE_NULL_NAME

### ER_UNSUPPORTED_FEATURE

    public static final java.lang.String ER_UNSUPPORTED_FEATURE

### ER_EXTENSION_ELEMENT_NOT_ALLOWED_IN_SECURE_PROCESSING

    public static final java.lang.String ER_EXTENSION_ELEMENT_NOT_ALLOWED_IN_SECURE_PROCESSING

### WG_FOUND_CURLYBRACE

    public static final java.lang.String WG_FOUND_CURLYBRACE

### WG_COUNT_ATTRIB_MATCHES_NO_ANCESTOR

    public static final java.lang.String WG_COUNT_ATTRIB_MATCHES_NO_ANCESTOR

### WG_EXPR_ATTRIB_CHANGED_TO_SELECT

    public static final java.lang.String WG_EXPR_ATTRIB_CHANGED_TO_SELECT

### WG_NO_LOCALE_IN_FORMATNUMBER

    public static final java.lang.String WG_NO_LOCALE_IN_FORMATNUMBER

### WG_LOCALE_NOT_FOUND

    public static final java.lang.String WG_LOCALE_NOT_FOUND

### WG_CANNOT_MAKE_URL_FROM

    public static final java.lang.String WG_CANNOT_MAKE_URL_FROM

### WG_CANNOT_LOAD_REQUESTED_DOC

    public static final java.lang.String WG_CANNOT_LOAD_REQUESTED_DOC

### WG_CANNOT_FIND_COLLATOR

    public static final java.lang.String WG_CANNOT_FIND_COLLATOR

### WG_FUNCTIONS_SHOULD_USE_URL

    public static final java.lang.String WG_FUNCTIONS_SHOULD_USE_URL

### WG_ENCODING_NOT_SUPPORTED_USING_UTF8

    public static final java.lang.String WG_ENCODING_NOT_SUPPORTED_USING_UTF8

### WG_ENCODING_NOT_SUPPORTED_USING_JAVA

    public static final java.lang.String WG_ENCODING_NOT_SUPPORTED_USING_JAVA

### WG_SPECIFICITY_CONFLICTS

    public static final java.lang.String WG_SPECIFICITY_CONFLICTS

### WG_PARSING_AND_PREPARING

    public static final java.lang.String WG_PARSING_AND_PREPARING

### WG_ATTR_TEMPLATE

    public static final java.lang.String WG_ATTR_TEMPLATE

### WG_CONFLICT_BETWEEN_XSLSTRIPSPACE_AND_XSLPRESERVESPACE

    public static final java.lang.String WG_CONFLICT_BETWEEN_XSLSTRIPSPACE_AND_XSLPRESERVESPACE

### WG_ATTRIB_NOT_HANDLED

    public static final java.lang.String WG_ATTRIB_NOT_HANDLED

### WG_NO_DECIMALFORMAT_DECLARATION

    public static final java.lang.String WG_NO_DECIMALFORMAT_DECLARATION

### WG_OLD_XSLT_NS

    public static final java.lang.String WG_OLD_XSLT_NS

### WG_ONE_DEFAULT_XSLDECIMALFORMAT_ALLOWED

    public static final java.lang.String WG_ONE_DEFAULT_XSLDECIMALFORMAT_ALLOWED

### WG_XSLDECIMALFORMAT_NAMES_MUST_BE_UNIQUE

    public static final java.lang.String WG_XSLDECIMALFORMAT_NAMES_MUST_BE_UNIQUE

### WG_ILLEGAL_ATTRIBUTE

    public static final java.lang.String WG_ILLEGAL_ATTRIBUTE

### WG_COULD_NOT_RESOLVE_PREFIX

    public static final java.lang.String WG_COULD_NOT_RESOLVE_PREFIX

### WG_STYLESHEET_REQUIRES_VERSION_ATTRIB

    public static final java.lang.String WG_STYLESHEET_REQUIRES_VERSION_ATTRIB

### WG_ILLEGAL_ATTRIBUTE_NAME

    public static final java.lang.String WG_ILLEGAL_ATTRIBUTE_NAME

### WG_ILLEGAL_ATTRIBUTE_VALUE

    public static final java.lang.String WG_ILLEGAL_ATTRIBUTE_VALUE

### WG_EMPTY_SECOND_ARG

    public static final java.lang.String WG_EMPTY_SECOND_ARG

### WG_PROCESSINGINSTRUCTION_NAME_CANT_BE_XML

    public static final java.lang.String WG_PROCESSINGINSTRUCTION_NAME_CANT_BE_XML

### WG_PROCESSINGINSTRUCTION_NOTVALID_NCNAME

    public static final java.lang.String WG_PROCESSINGINSTRUCTION_NOTVALID_NCNAME

### WG_ILLEGAL_ATTRIBUTE_POSITION

    public static final java.lang.String WG_ILLEGAL_ATTRIBUTE_POSITION

### NO_MODIFICATION_ALLOWED_ERR

    public static final java.lang.String NO_MODIFICATION_ALLOWED_ERR

### BAD_CODE

    public static final java.lang.String BAD_CODE

  String for use when a bad error code was encountered.

### FORMAT_FAILED

    public static final java.lang.String FORMAT_FAILED

  String for use when formatting of the error string failed.

### ERROR_STRING

    public static final java.lang.String ERROR_STRING

  General error string.

### ERROR_HEADER

    public static final java.lang.String ERROR_HEADER

  String to prepend to error messages.

### WARNING_HEADER

    public static final java.lang.String WARNING_HEADER

  String to prepend to warning messages.

### XSL_HEADER

    public static final java.lang.String XSL_HEADER

  String to specify the XSLT module.

### XML_HEADER

    public static final java.lang.String XML_HEADER

  String to specify the XML parser module.

### QUERY_HEADER

    public static final java.lang.String QUERY_HEADER

  Deprecated.
  I don't think this is used any more.

Constructor Detail

### XSLTErrorResources_es

    public XSLTErrorResources_es()

Method Detail

### getContents

    public java.lang.Object[][] getContents()

  Get the lookup table for error messages.
  Returns:
    The message lookup table.

### loadResourceBundle

    public static final XSLTErrorResources loadResourceBundle(java.lang.String className)
                                                       throws java.util.MissingResourceException

  Return a named ResourceBundle for a particular locale. This method mimics the behavior of ResourceBundle.getBundle().
  Parameters:
    `className` - the name of the class that implements the resource bundle.
  Returns:
    the ResourceBundle
  Throws:
    java.util.MissingResourceException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.